[project]
name = "app"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.8"
dependencies = [
	"onnxruntime>=1.21.0",
	"pydantic-settings>=2.8.1",
	"pyside6>=6.8.3",
]

[project.optional-dependencies]
train = [
	"onnx>=1.17.0",
	"torch>=2.6.0",
	"ipykernel>=6.29.5",
	"numpy>=2.2.4"
]
visualization = [
	"matplotlib>=3.10.1",
	"pandas>=2.2.3",
	"numpy>=2.2.4",
]

[tool.mypy]
plugins = "pydantic.mypy"
